NTPING(8)

NAME
ntping - send icmp messages (ping, mask, timestamp) to one or more hosts or trace a route

SYNOPSIS
ntping [ -V ] [ -s size ] [ -b ] [ -r retries ] [ -t timeout ] [ -ttl [hop] ] [ -trace [hop] ] [ -mask ] [ -tstamp ] [ host1 ... ]

DESCRIPTION
Ntping sends one or more pings (or icmp netmask, timestamp or trace probes) to the given host(s) and reports the ping-time in ms (or netmask, timestamp, trace hop) to stdout. If no host is specified, options and hostnames are read from stdin, each on a line, until EOF is read.
With one or more hosts specified on the commandline, ntping tries to behave like ping (with repeated output every -t(imeout) seconds) or traceroute (with displayed hops 1 to ttl/trace parameter). In opposite to ping(8) every output is collected from <n> tries over the interval.

OPTIONS

-V  Print version string and exit.

-s(cotty)
    Read input for scotty Tcl/Tk processing. An appropriate input would be:
     { foobar nasi.goerg.de gna.nase.edu }
    Well, this is the known input, the brackets are simply ignored :-) The output looks like:
     {foobar 20} {nasi.goerg.de 534} {gna.nase.edu -1}
    or the command
     -ttl 2 foo.bar.de gna.nase.edu
    will be answered by something like
     {134.88.12.9 176} {192.77.18.5 53}
    The options can be sent at the start of each input line. Bad values are silently adjusted or ignored.

-b(ones)
    Same as -s(cotty), but times are changing ;-)

-s(ize) size
    Use size bytes large packets. Default is 64 bytes and the maximum is 2020 bytes.

-r(retries) retries
    Resend the packet retries times. 0 means send only one probe. Default is 4 retries (== 5 probes).

-t(imeout) timeout
    Set timeout to timeout seconds for all retries. Default is 5 seconds. If a large number of hosts is given, it may take at all longer (eg. due to hostname lookups).

-d(elay) delaytime
    Set the delaytime after a packet has been sent to delaytime milliseconds. Default is no delay. If your host or network seems to loose packets when running for more than one host parallel, try a delay of 10 or 20 ms give some them time to relax.
    Please note, with ntping v0.9h the delay is not longer contained in the timeout or in the response timeout (this was a ugly behavior).

-nocheckswap
    Don't check byte-swapped src/dest ports in a icmp-reply (with a udp-header in the data section). Default is to check and therefore to find even hops, which send wrong answers (some synoptics at least reply with buggy packets).

-ttl hops
    Do a trace with time-to-live set to nhops hops. There is no default. The maximum is 30 hops.

-trace hops
    Should do the same as -ttl , but returns the given host if the destination is reached (should be in dotted notation for that).

-mask
    Send an icmp probe with a mask-request. This is similar to the default ping probe, but the mask is reported (in dot notation). Unknown masks are returned as 0.0.0.0.

-tstamp
    Send an icmp timestamp request. This is similar to the default ping probe, but the difference of the localtime and the remotetime is reported (in milliseconds). Unknown stamps are returned as an empty list element within scotty-mode .
    Please note: To fetch the real time difference, you have to deal with the runtime of the packet.

SEE ALSO
ping(8),traceroute(8)

DIAGNOSTICS
Especially root permission is needed to send and receive icmp-datagrams. This is complained, if not given.

BUGS
Very large argument lists (eg. 1000 or more hosts) cause ntping to consume a noteable amount of memory and an additional time requirments when running.

AUTHORS
Bert Nase (schoenfr@ibr.cs.tu-bs.de)
Kaept'n James T. Koerg (james@ibr.cs.tu-bs.de)